0

Please, the error messsage is in this imgur link, how's that even possible? They are the same network, but I still cannot test my smart contract via Truffle. https://i.stack.imgur.com/vykIa.jpg

Code of the truffle-config.js file:

const path = require("path");
module.exports = {contracts_build_directory: path.join(_dirname, "client/src/contracts"),
networks: {
 develop: {
     port: 7545,
     host: "127.0.0.1",
     network_id: 4777
 }
},

compilers: {
    solc: {
        version: "^0.6.0"
    }
 }
}
  • There's no image link, besides, it would help to post text and not images. – Phix Oct 13 at 18:43
  • Oh thanks, I'm new in this platform. – marcusaureliusantonius Oct 13 at 18:57
0

I figured it out how to solve it. I had to uninstall Truffle, install it again, migrate it once again to the smart contract development file and then test it.

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy